<mat-card class="register-form">
  <form (submit)="onRegisterSubmit()">
    <mat-card-header>
      Register to advise.me
    </mat-card-header>

    <mat-card-content>
      <mat-list class="register">
        <mat-divider class="divider-title"></mat-divider>

        <mat-list-item class="register-form-item">
          <mat-icon matListIcon>person</mat-icon>
          <mat-input-container class="justifier">
            <input matInput type="text" [(ngModel)]="firstname" name="firstname" class="form-control" placeholder="Firstname" autofocus>
          </mat-input-container>
        </mat-list-item>

        <mat-list-item class="register-form-item">
          <mat-icon matListIcon>person</mat-icon>
          <mat-input-container class="justifier">
            <input matInput type="text" [(ngModel)]="lastname" name="lastname" class="form-control" placeholder="Lastname">
          </mat-input-container>
        </mat-list-item>

        <mat-list-item class="register-form-item">
          <mat-icon matListIcon>mail</mat-icon>
          <mat-input-container class="justifier">
            <input matInput type="text" [(ngModel)]="email" name="email" class="form-control" placeholder="Email" required>
          </mat-input-container>
        </mat-list-item>

        <mat-list-item class="register-form-item">
          <mat-icon matListIcon>domain</mat-icon>
          <mat-input-container class="justifier">
            <mat-select placeholder="Function" [(value)]="function">
              <mat-option *ngFor="let function of functions" [value]="function.name">
                {{ function.name }}
              </mat-option>
            </mat-select>
          </mat-input-container>
        </mat-list-item>


        <mat-list-item class="register-form-item">
          <mat-icon matListIcon>home</mat-icon>
          <mat-input-container class="justifier">
            <input matInput type="text" [(ngModel)]="organism" name="organism" class="form-control" placeholder="Organism">
          </mat-input-container>
        </mat-list-item>

        <mat-list-item class="register-form-item">
          <mat-icon matListIcon>person</mat-icon>
          <mat-input-container class="justifier">
            <input matInput type="text" [(ngModel)]="username" name="username" class="form-control" placeholder="Username" required>
          </mat-input-container>
        </mat-list-item>

        <mat-list-item class="register-form-item">
          <mat-icon matListIcon>lock</mat-icon>
          <mat-input-container class="justifier">
            <input matInput type="password" [(ngModel)]="password" name="password" class="form-control" placeholder="Password" required>
          </mat-input-container>
        </mat-list-item>


        <mat-grid-list cols="2" rowHeight="75px">
          <mat-grid-tile colspan="1">
            <button mat-raised-button color="primary" type="submit" class="register-button">
              <mat-icon>edit</mat-icon> Register
            </button>
          </mat-grid-tile>
          <mat-grid-tile colspan="1">
            <button mat-raised-button color="default" class="login-button" [routerLink]="['/login']">
                <mat-icon>power_settings_new</mat-icon> Back to login
            </button>
          </mat-grid-tile>
        </mat-grid-list>
      </mat-list>
    </mat-card-content>
  </form>
</mat-card>
